summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorTim Schumacher2020-10-19 04:30:15 +0200
committerTim Schumacher2020-10-19 04:40:26 +0200
commited98a7369de3a81073466548f0fffd09f9626101 (patch)
tree44cb110e85474eaafd47bf5094b619fd9aeb97b1 /PKGBUILD
downloadaur-ed98a7369de3a81073466548f0fffd09f9626101.tar.gz
Initial commit
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD53
1 files changed, 53 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..24bec5e77c9
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,53 @@
+# Maintainer: Tim Schumacher <timschumi@gmx.de>
+
+_target=mipsr5900el-unknown-linux-gnu
+pkgname=$_target-binutils
+pkgver=2.34
+pkgrel=1
+pkgdesc="A set of programs to assemble and manipulate binary and object files ($_target)"
+arch=(x86_64)
+url='http://www.gnu.org/software/binutils/'
+license=(GPL)
+depends=(zlib)
+source=(ftp://ftp.gnu.org/gnu/binutils/binutils-$pkgver.tar.bz2{,.sig})
+sha1sums=('361566c9ab5e90bd847d06f46fb9f18ec6c3ecf0'
+ 'SKIP')
+validpgpkeys=('3A24BC1E8FB409FA9F14371813FCEF89DD9E3C4F') # Nick Clifton (Chief Binutils Maintainer) <nickc@redhat.com>
+
+prepare() {
+ cd binutils-$pkgver
+ sed -i "/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/" libiberty/configure
+}
+
+build() {
+ cd binutils-$pkgver
+
+ ./configure --target=$_target \
+ --prefix=/usr \
+ --disable-nls \
+ --enable-shared \
+ --enable-plugins \
+ --enable-deterministic-archives
+
+ make
+}
+
+check() {
+ cd binutils-$pkgver
+
+ # unset LDFLAGS as testsuite makes assumptions about which ones are active
+ # do not abort on errors - manually check log files
+ make -k LDFLAGS="" check || true
+}
+
+package() {
+ cd binutils-$pkgver
+
+ make DESTDIR="$pkgdir" install
+
+ # Remove file conflicting with host binutils and manpages for MS Windows tools
+ rm "$pkgdir"/usr/share/man/man1/$_target-{dlltool,windres,windmc}*
+
+ # Remove info documents that conflict with host version
+ rm -r "$pkgdir"/usr/share/info
+}